Bug 732649 - yumdownloader --source ... tracebacks
Summary: yumdownloader --source ... tracebacks
Keywords:
Status: CLOSED DUPLICATE of bug 710469
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum-utils
Version: 6.2
Hardware: All
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: James Antill
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On:
Blocks: 743047
TreeView+ depends on / blocked
 
Reported: 2011-08-23 08:10 UTC by Milos Malik
Modified: 2014-01-21 06:24 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-13 10:38:09 UTC


Attachments (Terms of Use)

Description Milos Malik 2011-08-23 08:10:20 UTC
Description of problem:


Version-Release number of selected component (if applicable):
yum-utils-1.1.30-7.el6.noarch

How reproducible:
always

Steps to Reproduce:
# yumdownloader --source libsepol
  
Actual results:
# yumdownloader --source libsepol
Loaded plugins: product-id, refresh-packagekit
Traceback (most recent call last):
  File "/usr/bin/yumdownloader", line 322, in <module>
    util = YumDownloader()
  File "/usr/bin/yumdownloader", line 73, in __init__
    self.main()
  File "/usr/bin/yumdownloader", line 99, in main
    self.setupSourceRepos()
  File "/usr/bin/yumdownloader", line 118, in setupSourceRepos
    repos_source += self.repos.findRepos('*-source-rpms')
UnboundLocalError: local variable 'repos_source' referenced before assignment
#

Expected results:
* no traceback
* libsepol source RPM is downloaded

Comment 2 Milos Malik 2011-08-23 08:16:52 UTC
yumdownloader from yum-utils-1.1.30-6.el6.noarch.rpm works as expected.

Comment 5 James Antill 2011-08-23 14:37:21 UTC
 Stupid moved code around bug. Just change the code from:

+        if rhn_source_repos: # RHN
+            repos_source += self.repos.findRepos('*-source-rpms')
+        repos_source = self.repos.findRepos('*-source')


...to:

+        repos_source = self.repos.findRepos('*-source')
+        if rhn_source_repos: # RHN
+            repos_source += self.repos.findRepos('*-source-rpms')

Comment 6 Zdeněk Pavlas 2011-09-13 08:23:35 UTC
Added BZ-732649-repos_source-traceback.patch

Comment 7 Zdeněk Pavlas 2011-09-13 10:36:45 UTC
Merged into BZ-710469-rhn-source-repos.patch.

Comment 8 Zdeněk Pavlas 2011-09-13 10:38:09 UTC

*** This bug has been marked as a duplicate of bug 710469 ***


Note You need to log in before you can comment on or make changes to this bug.